Name:           memoryfilesystem
Version:        0.6.6
Release:        1%{?dist}
Summary:        An in memory implementation of a JSR-203 file system
License:        MIT
URL:            https://github.com/marschall/%{name}
Source0:        https://github.com/marschall/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# https://github.com/marschall/memoryfilesystem/pull/51
Patch0:         encoding.patch
# https://github.com/marschall/memoryfilesystem/pull/52
Patch1:         schema.patch
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  maven-plugin-bundle maven-surefire-plugin
BuildRequires:  hamcrest easymock springframework-test junit
BuildRequires:  springframework-context logback jcl-over-slf4j

%description
An in memory implementation of a JSR-203 file system

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides API documentation for %{name}.

%prep
%setup -q

%patch0
%patch1

%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin com.github.marschall:jdeps-maven-plugin
%pom_remove_plugin org.jboss.jandex:jandex-maven-plugin

%pom_remove_dep com.github.marschall:zipfilesystem-standalone
%pom_remove_dep org.openjdk.jol:jol-core

# maven-jandex-plugin is currently not packaged
sed -i '/jandex.idx/d' pom.xml
# remove test which need jol-core and zipfilesystem-standalone
rm -rf ./src/test/java/com/github/marschall/memoryfilesystem/MemoryFileTest.java
rm -rf ./src/test/java/com/github/marschall/memoryfilesystem/ZipFileSystemInteropabilityTest.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license src/main/resources/LICENSE

%files javadoc -f .mfiles-javadoc

%changelog
* Wed Sep 02 2015 Roman Mohr <roman@fenkhuber.at> - 0.6.6-1
- Initial packaging
